import unittest
import Zope

from Products.SilvaLocalContent.tests import test_LocalSilvaObject
from Products.SilvaLocalContent.tests import test_LocalVersionedContent
from Products.SilvaLocalContent.tests import test_LocalContainer
from Products.SilvaLocalContent.tests import test_LocalFile


def test_suite():
    suite = unittest.TestSuite()

    suite.addTest(test_LocalSilvaObject.test_suite())
    suite.addTest(test_LocalVersionedContent.test_suite())
    suite.addTest(test_LocalContainer.test_suite())
    # no tests for images yet
    # disabled tests for LocalFile: not yet in use
    #suite.addTest(test_LocalFile.test_suite())
    return suite


def main():
    unittest.TextTestRunner(verbosity=1).run(test_suite())

if __name__ == '__main__':
    main()
    
