# FIXME: this is all cut & paste from the Silva Product :(

model = context.REQUEST.model
view = context
REQUEST = context.REQUEST

# if we cancelled, then go back to edit tab
if REQUEST.has_key('add_cancel'):
    return model.edit['tab_edit']()

# validate form
from Products.Formulator.Errors import ValidationError, FormValidationError
try:
    result = view.form.validate_all(REQUEST)
except FormValidationError, e:
    # in case of errors go back to add page and re-render form
    return view.add_form(message_type="error", message=view.render_form_errors(e))

# get id and title from form, convert title to unicode
id = result['object_id']
# remove them from result dictionary
del result['object_id']
file = result['file']

# do some additional validation
if not file or not getattr(file, 'filename', None):
    return view.add_form(message_type="error", message="Empty or invalid file.")

# if we don't have the right id, reject adding
if id and (not model.is_id_valid(id)):
    return view.add_form(message_type="error", message="%s is not a valid id." % view.quotify(id))

title = model.input_convert(result['object_title'])
del result['object_title']

# process data in result and add using validation result

try:
    object = model.manage_addProduct['SilvaLocalContent'].manage_addLocalFile(id, title, file=file)
except IOError, e:
    return view.add_form(message_type="error", message=e)
    
id = object.getId()

# update last author info in new object
object.sec_update_last_author_info()

    
# now go to tab_edit in case of add and edit, back to container if not.
if REQUEST.has_key('add_edit_submit'):
    REQUEST.RESPONSE.redirect(object.absolute_url() + '/edit/tab_edit')
else:
     return model.edit['tab_edit'](message_type="feedback", 
                                   message="Added %s %s." % (object.meta_type, view.quotify(id)))
